Summary:	An interpreter for the awk programming language
Name:		mawk
Version:	1.3.3
Release: 	7mdk
License:	GPL
Group:		Development/Other
Url:		http://www.math.fu-berlin.de/~leitner/mawk/

Source:		mawk1.3.3.tar.bz2
Patch:		mawk1.2.2-prefix.patch.bz2
BuildRoot:	%_tmppath/%name-%version-root

%description
Mawk is a version of the awk programming language.  Awk interprets a 
special-purpose programming language to do quick text pattern matching
and reformatting.  Mawk improves on awk in certain ways and can 
sometimes outperform gawk, the standard awk program for Linux.  Mawk
conforms to the POSIX 1003.2 (draft 11.3) definition of awk.

You should install mawk if you use awk.

%prep
%setup -q
%patch -p1
chmod -R a+r .

%build
# (Dadou) Don't use configure macro, it doesn't work
# no need for --libdir, since there is only binary and man
MATHLIB=-lm ./configure

OPT_FLAGS=`echo "$RPM_OPT_FLAGS" | sed -e "s/-ffast-math//g"`
make CFLAGS="$OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/mawk
%{_mandir}/man1/*
%doc ACKNOWLEDGMENT CHANGES INSTALL README

%changelog
* Thu Oct 13 2005 Pixel <pixel@mandriva.com> 1.3.3-7mdk
- rebuild

* Thu Jul 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.3.3-6mdk
- fix build

* Wed Jul 17 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.3.3-5mdk
- Rebuild with latest gcc3.1. Don't use -ffast-math.

* Fri Oct 26 2001 Florin <florin@mandrakesoft.com> 1.3.3-4mdk
- s/Copyright/License
- fix some doc files permissions

* Tue Oct 17 2000 David BAUDENS <baudens@mandrakesoft.com> 1.3.3-3mdk
- Remove obsoletes parts of spec
- Use %%make macro on PPC (don't work on ix86)

* Tue Sep 05 2000 Florin Grad <florin@mandrakesoft.com> 1.3.3-2mdk
- adding some macros
- modifying the patch according to %{_mandir}

* Fri Apr 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.3.3-1mdk
- Updated groups
- Updated from 1.2.2 to 1.3.3

* Tue Nov 25 1999 Florent Villard <warly@mandrakesoft.com>
- minor spec file modifications

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 11)

* Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com>
- build against glibc 2.1

* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
